/**
 * Theme Name:     TT5 Child
 * Author:         the WordPress team
 * Template:       twentytwentyfive
 * Text Domain:	   twenty-twenty-five-child
 * Description:    Twenty Twenty-Five emphasizes simplicity and adaptability. It offers flexible design options, supported by a variety of patterns for different page types, such as services and landing pages, making it ideal for building personal blogs, professional portfolios, online magazines, or business websites. Its templates cater to various blog styles, from text-focused to image-heavy layouts. Additionally, it supports international typography and diverse color palettes, ensuring accessibility and customization for users worldwide.
 */

/* Global */
:root[lang="ar"] {
	--wp--preset--font-family--nexa-heavy: "Hacen Maghreb", sans-serif;
	--wp--preset--font-family--nexa-book: "Hacen Maghreb Bd", sans-serif;
	--wp--preset--font-family--nexa-regular: "Hacen Maghreb Bd", sans-serif;
	--wp--preset--font-family--nexa-bold: "Hacen Maghreb Bd", sans-serif;
}

a {outline : none;}

/* STICK HEADER */
header > div {
	transition: background 0.2s ease;
}
header.sticky-header > div {
	transition: background 0.2s ease;
	background: var(--wp--preset--color--base);
	--tw-shadow: 0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1) !important;
    --tw-shadow-colored: 0 1px 3px 0 var(--tw-shadow-color), 0 1px 2px -1px var(--tw-shadow-color) !important;
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow) !important;
}

/* Navigation Animated underline */
.wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content {
	text-decoration: none;
}
.underline-no-hover {
	position: relative;
	display: inline-block;
}
.underline-no-hover:after,
.wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content:after {
	position: absolute;
    display: block;
    bottom: -3px;
    left: 0;
    width: 100%;
    transform: scaleX(0);
    border-top: 2px solid currentColor;
    content: "";
    padding-bottom: inherit;
	transition: transform 0.3s cubic-bezier(0.25,0,0.4,1), border-color 0.35s cubic-bezier(0.52,0.01,0.16,1);
	transform-origin: right;
}

.wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content:hover {
	color: var(--wp--preset--color--white);
}
.underline-no-hover:hover:after {
	transform-origin: left;
	backface-visibility: hidden;
    transform: scaleX(1);
	color: var(--wp--preset--color--white);
}

.wp-block-navigation .wp-block-navigation-item.wp-block-navigation-submenu .wp-block-navigation-item__content:after {
	content: none;
}


/* Primary button hover */
.wp-block-button {
    position: relative;
    overflow: hidden;
}

.wp-block-button .wp-block-button__link {
    position: relative;
    z-index: 2;
	border-radius: 4px;
    background: linear-gradient(135deg, rgb(255,255,255) 0%, var(--wp--preset--color--accent-1) 100%) !important;
}

.wp-block-button .wp-block-button__link::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
	border-radius: 4px;
    background: linear-gradient(315deg, rgb(255,255,255) 0%, var(--wp--preset--color--accent-1) 100%);
    opacity: 0;
    transition: opacity 0.4s ease-in;
}

.wp-block-button .wp-block-button__link:hover::before {
    opacity: 1;
}


.stk-block-button .stk-button {
	color: var(--wp--preset--color--black) !important;
	padding: 12px 17px !important;
	border-radius: 4px !important;
	transition: 
		background 0.4s ease-in-out,
		color 0.4s ease-in-out;
}
.stk-block-button .stk-button:hover {
 	background-color: var(--wp--preset--color--white) !important;
}

.stk-block-button.is-style-ghost .stk-button {
	padding: 9px 17px !important;align-content	
}

.stk-block-button.is-style-ghost .stk-button:hover {
	background-color: var(--wp--preset--color--black) !important;
}
.stk-block-button.is-style-ghost .stk-button:hover > span {
	color: var(--wp--preset--color--white) !important;
}
.stk-block-button.is-style-ghost .stk-button:hover .stk--inner-svg > svg > path {
	fill: var(--wp--preset--color--white) !important;
}


/* Outline button hover */
.wp-block-button.is-style-outline .wp-block-button__link {
	background: var(--wp--preset--color--base) !important;
	transition: 
        background-color 0.4s ease-in-out,
        color 0.4s ease-in-out;
}

.wp-block-button.is-style-outline .wp-block-button__link:hover {
  	background: var(--wp--preset--color--black) !important;
	color: var(--wp--preset--color--white) !important;
}
.wp-block-button.is-style-outline .wp-block-button__link::before {
	content: none;
}

.wp-block-storepress-marquee__item {
	align-items: center;
}

/* Language Switcher */
.wpml-language-switcher-block ul.wp-block-navigation__submenu-container {
	top: 1.5rem !important;
    left: -0.5rem !important;
	border-radius: 4px;
}
.wpml-language-switcher-block ul.wp-block-navigation__submenu-container .wp-block-navigation-item {
	padding: 1rem;
}
.wpml-language-switcher-block .wpml-ls-dropdown ul li.wp-block-navigation-submenu ul.isHorizontal li:hover {
	background-color: black!important;
}
.wpml-language-switcher-block .wpml-ls-dropdown ul li.wp-block-navigation-submenu ul.isHorizontal li a {
	color: #d8d8d8!important;
}
.wpml-language-switcher-block .wpml-ls-dropdown ul li.wp-block-navigation-submenu ul.isHorizontal li a:hover {
	color: #ffffff!important;
}

/* Homepage Carousel */
.home-carousel .stk-block-carousel__buttons {
	transform: translate(-47%, -160%);
}

html[lang="ar"][dir="rtl"] .home-carousel .stk-block-carousel__buttons {
	transform: translate(133%, -160%);
	flex-direction: row-reverse;
}

.stk-block-carousel__buttons .stk-block-carousel__button {
	position: relative !important;
    background: linear-gradient(0deg, rgb(255,255,255) 0%, var(--wp--preset--color--accent-1) 100%) !important;
}

.stk-block-carousel__buttons .stk-block-carousel__button::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
	border-radius: 4px;
    background: linear-gradient(180deg, rgb(255,255,255) 0%, var(--wp--preset--color--accent-1) 100%);
    opacity: 0;
    transition: opacity 0.4s ease-in;
}
.stk-block-carousel__buttons .stk-block-carousel__button:hover::before {
    opacity: 1;
}

/* Tags */
.wp-block-post-terms.taxonomy-post_tag a {
	background-color: #303034;
	border: none !important;
}

.wp-block-post-terms.taxonomy-post_tag .wp-block-post-terms__separator {
	opacity: 0;
}
/* Homepage Marguee */
html[dir="rtl"] .wp-block-storepress-marquee {
	--_animation-transform: calc(100% - var(--content-gap));
}
.wp-block-storepress-marquee .wp-block-storepress-marquee__item .wp-block-image {
	display: flex;
	justify-content: center;
	align-items: center;
}

/* Brand */
.brands-listing > li:hover {
	position: relative;
	z-index: 2;
}

.zoom-image-on-hover img {
	transition: transform 0.3s ease-in-out;
	display:block;
}
.zoom-image-on-hover:hover img {
	transform: scale(110%, 110%);
}
.zoom-image-on-hover .wp-block-post-title {
	z-index: 1;
}
.brand-listing-image img {
	display: block;
	width: 100%;
}

.wp-block-group .wpml-language-switcher-block {
	width: auto !important;
}

/* NEWS */
.featured-news {
	display: grid;
	grid-template-columns: 1.5fr 1fr;
}
.featured-news > li.wp-block-post {
	display: flex;
}

/* iframe */
.stk-block-map iframe {
	display: block;
}

/* Forminator */

html[lang="ar"] .forminator-select.forminator-select-dropdown-container--open {
     display: flex;
     justify-content: end;
 }
 html[lang="ar"] .forminator-ui.forminator-custom-form-2105.forminator-design--flat .huge-input .forminator-select .select2-selection__arrow {
     right: -1em!important;
 }


/* Footer */
@media (max-width: 767px) {
	footer .wp-block-navigation .wp-block-navigation-item {
		flex-wrap: wrap;
		padding: 0 0 1rem 0;
	}
}


footer .wp-block-navigation .wp-block-navigation__container {	
}

footer .wp-block-navigation .has-child .wp-block-navigation__submenu-container {
	position: initial;
	flex-basis: 100%;
}
footer .wp-block-navigation .has-child .wp-block-navigation__submenu-container .wp-block-navigation-item {
	padding: 0;
}
footer .wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content {
	outline: none;
}
footer .wp-block-navigation .has-child .wp-block-navigation__submenu-container>.wp-block-navigation-item>.wp-block-navigation-item__content {
	color: var(--wp--preset--color--contrast);
	font-size: 0.75rem;
	padding-left: 0;
	padding-right: 0;
}
footer .wp-block-navigation .has-child .wp-block-navigation__submenu-container>.wp-block-navigation-item>.wp-block-navigation-item__content:hover {
	color: var(--wp--preset--color--white);
}

footer .wp-block-navigation .has-child .wp-block-navigation-submenu__toggle[aria-expanded=true]~.wp-block-navigation__submenu-container,
footer .wp-block-navigation .has-child:not(.open-on-click):hover>.wp-block-navigation__submenu-container,
footer .wp-block-navigation .has-child:not(.open-on-click):not(.open-on-hover-click):focus-within>.wp-block-navigation__submenu-container {
	padding-top: 1rem;
}

/* Modal */
.modal {
  opacity: 0;
  position: fixed;
  z-index: 1000;
  left: 0; top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.6);
  pointer-events: none;
  transition: opacity 0.3s ease-in;
  max-width: 100%;
}
.modal.modal--open {
	opacity: 1;
	pointer-events: initial;
}

.modal-content {
  background: var(--wp--preset--color--black);
  margin: 10% auto;
  padding: 20px;
  border-radius: 12px;
  width: 90%;
  max-width: 400px;
	transition: opacity 0.1s ease-in;
	box-sizing: border-box;
}

.modal-content--wide {
	max-width: 846px;
	padding: 4rem;
}

.modal--open .modal-content {
	opacity: 1;
	
}
.closeBtn {
  float: right;
  font-size: 20px;
  cursor: pointer;
}

/* MAP */
.wpgmza-infowindow {
	color: black;
}

/* Landing page carousel */
.landing-page-carousel .swiper {
	margin-bottom: 0!important;
}

.landing-page-carousel .cb-pagination,
.landing-page-carousel .cb-button-next,
.landing-page-carousel .cb-button-prev {
	color: white!important;
	top: auto!important;
	bottom: 1.5rem!important;
	margin: 0;
}
.landing-page-carousel .cb-button-next {
	right: 260px!important;
}
.landing-page-carousel .cb-button-prev {
	left: 260px!important;
}
.landing-page-carousel .cb-pagination {
	transform: translateY(-100%);
	bottom: 1.8rem!important;
}
.landing-page-carousel .cb-button-prev:after,
.landing-page-carousel .cb-button-next:after {
	font-size: var(--wp--custom--carousel-block--navigation-size,16px);
}

.landing-page-carousel {
	position: relative;
}
.landing-page-carousel .sliderberg-slide-indicators .sliderberg-slide-indicator {
	width: 18px!important;
	height: 3px!important;
	border-radius: 90px;
}
.landing-page-carousel .sliderberg-slide-indicators .sliderberg-slide-indicator.active,
.landing-page-carousel .sliderberg-slide-indicators .sliderberg-slide-indicator:hover {
	transform: scale(1)!important;
}

.landing-page-carousel .sliderberg-nav-controls-grouped .sliderberg-nav-button {
	background: none!important;
	backdrop-filter: none!important;
	border: none!important;
	outline: none!important;
	margin: 0!important;
}

.landing-page-carousel .sliderberg-navigation-bar {
	position: absolute;
	bottom: 1rem;
	margin-top: 0;
}

.landing-page-carousel .sliderberg-slide {
	height: 95dvh!important;
}
.landing-page-carousel .sliderberg-nav-button[data-size=large] svg {
	width: 34px;
	height: 34px;
}
.landing-page-carousel .sliderberg-nav-button[data-size=large] {
	padding: 6px;
}
.landing-page-carousel .sliderberg-nav-controls {
	padding: 0;
}
@media (min-width: 767px) {
	.landing-page-carousel .sliderberg-slide-indicators .sliderberg-slide-indicator {
		width: 48px!important;
		height: 3px!important;
		border-radius: 90px;
	}
	.landing-page-carousel .sliderberg-nav-button[data-size=large] {
		padding: 12px;
	}
	.landing-page-carousel .sliderberg-nav-controls {
		padding: 20px;
	}
}